

@import url('https://fonts.googleapis.com/css2?family=Calistoga&family=Chango&family=Chela+One&family=Courgette&family=Edu+AU+VIC+WA+NT+Hand:wght@400..700&family=Grand+Hotel&family=Great+Vibes&family=Leckerli+One&family=Pattaya&family=Playwrite+NO&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=REM:ital,wght@0,100..900;1,100..900&family=Raleway:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Rufina:wght@400;700&family=Satisfy&family=Sevillana&family=Titan+One&display=swap');
:root {
    --primary-color:  #8b1154;   
    --secundary-amarelo: #fea3e1;     
    --terciaria-vermelho: #e71b94;    
    --secondary-marron:#724a11;
    --neutral-azul: #f2f4ff;     
    --neutral-600: #cca102;      
    --neutral-300: #fea3e1;     
    --accent-terra: #55022f;      
    --accent-sage: #fef1fa;      
    --amarelo-claro:#fefee8;
    --lilás-medio:#cab0d0;
    --neutral-amarelo: #feffc2;     
    --neutral:#fff1f1;     
    --background-gradient: linear-gradient(135deg, var(--primary-color), var(--amarelo-claro));
}

body {
    font-family: 'Poppins', sans-serif;
    color: var(--light-color);
    background: var(--neutral-azul);
    overflow-x: hidden; /* Esta linha remove a barra de rolagem horizontal */
   
}

h1{
    margin-top: 70px;
    margin-bottom: 30px;
}

h2{
    font-family: "Poppins", 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
   font-size: 1.5rem;
   font-style: normal;
   font-weight: bold;
   color:var(--primary-color);
}
.top-bar {
    background-color: var(--primary-color);
    color: white;
    padding: 8px 0;
    font-size: 14px;
}

.social-icon {
    color: white;
    margin: 0 5px;
    transition: color 0.3s ease;
}

.social-icon:hover {
    color:var(--primary-dark);
}

.navbar {
    transition: background-color 0.3s ease;
    
    
}
.navbar-modern {
    background-color: var(--creme);
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
    padding: 15px 0;
}


.navbar-toggler:focus,  
.navbar-toggler:active {  
    border: none !important; /* Garante que a borda seja removida */  
    outline: none !important; /* Remove também a linha de contorno (outline) */  
    box-shadow: none !important; /* Opcional: remove qualquer sombra que possa aparecer */  
}

.navbar.scrolled {
    background-color: var(--primary-color) !important;
}

.nav-link {
    position: relative;
    color:var(--primary-color) !important;
    
    
}

.nav-link::after {
    content: '';
    position: absolute;
    width:0;
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: var(--neutral-600);
    transition: width 0.3s ease;
}

.nav-link:hover::after {
    width: 100%;
}

#checkbox {
  display: none;
}

.toggle {
  position: relative;
  width: 40px;
  height: 40px;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  gap: 5px;
  transition-duration: .5s;
  outline: none;
}

.bars {
  width: 100%;
  height: 4px;
  background-color: var(--primary-color);
  border-radius: 4px;
}

#bar2 {
  transition-duration: .8s;
}

#bar1 {
  width: 50%;
}

#bar2 {
  width: 75%;
}

#checkbox:checked + .toggle .bars {
  position: absolute;
  transition-duration: .5s;
}

#checkbox:checked + .toggle #bar2 {
  transform: scaleX(0);
  transition-duration: .1s;
}

#checkbox:checked + .toggle #bar1 {
  width: 100%;
  transform: rotate(45deg);
  transition-duration: .5s;
}

#checkbox:checked + .toggle #bar3 {
  width: 100%;
  transform: rotate(-45deg);
  transition-duration: .5s;
}

#checkbox:checked + .toggle {
  transition-duration: .5s;
  transform: rotate(180deg);
}

.mobile-search {
    display: none;
}
.home-section {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    text-align: justify;
    
}
.logo {
    height: 50px;
}
/*autoconhecimento*/
.responsive-image1{
    margin-top: 70px;
    width: 450px;
    height: 400px;
    border-radius: 20px;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
    background-color: #90643e;

}

.hero-p p{
    text-align: justify;
}

.appointment-btn {
  width: 220px;
  height: 60px;
  border: 3px solid var(--primary-color);
  border-radius: 45px;
  transition: all 0.3s;
  cursor: pointer;
  background: #ffffff;
  color: #8b1111;
  font-size: 1.2em;
  font-weight: 550;
}


.appointment-btn:hover {
    width: 220px;
    height: 60px;
    background-color:var(--neutral-300);
    color: var(--primary-color);
    transition: all 0.3s ease;
}

.text-p{
    margin-top: 40px;
    text-align: justify;
    
}
.skincare p{
 text-align: justify;
}

/* Floating WhatsApp Button */
.whatsapp-float {
    position: fixed;
    bottom: 1.5rem;
    right: 1.5rem;
    background-color:var(--neutral-300);
    color: white;
    width: 3.5rem;
    height: 3.5rem;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s ease;
    z-index: 50;
}


.whatsapp-float:hover {
    background-color: var(--accent-terra);
    color: white;
}

.whatsapp-float i{
    font-size: 1.5rem;
    color: #8b1111;

   
}

footer {
    background-color: var(--primary-color);
    color: white;
    padding: 40px 0;
    width: 100%;
    
}

footer .logo img {
    width: 120px;
    margin-left: 0px;
}

footer h5 {
    color: var(--secundary-amarelo);
    font-size: 18px;
    
}

footer a {
    color: white;
    text-decoration: none;
}

footer a:hover {
    color: var(--secundary-amarelo);
}

.social-icons img {
    width: 150px;
    margin-right: 10px;
}

.email-input {
    width: 100%;
    margin-right: 0px;
}

.email-btn {
    background-color: var(--terciaria-vermelho);
    border: none;
    color: white;
    
}


.map-container iframe {
    width: 90%;
    height: 250px;
    border-radius: 15px;
    margin: 0 40px;
}

.footer-bottom {
    text-align: center;
    background-color: var(--accent-terra);
    padding: 10px;
    color: white;
}

.bi-geo-alt-fill{
    color: #dee2e6;
}

/*blog maquiagem*/


.img-top {
    width: 100%;
    height: auto;
    max-width: 800px;
    display: block;
    margin: 0 auto;
}

/* Estilo para o título alinhado à direita */
.title {
    text-align: right;
    font-size: 2.5rem;
    margin-top: 30px;
    color: #333;
}

/* Estilo para o subtítulo */
.subtitle {
    font-size: 1.3rem;
    font-weight: bold;
    margin-top: 20px;
    color: #555;
}

/* Estilo para o parágrafo de 15 linhas */
.paragraph {
    margin-top: 20px;
    font-size: 1rem;
    line-height: 1.6;
    color: #666;
    text-align: justify;
}

/* Estilo para o container de vídeo */
.video-container {
    margin-top: 30px;
    color: #555;
}

/* Estilo para a conclusão e referências */
.conclusion, .references {
    margin-top: 30px;
    color: #333;
    text-align: left;
}

/* Garantir que o conteúdo não saia das margens */
.content-container {
    padding-left: 20px;
    padding-right: 20px;
}


/*blog maquiagem*/
.content-container {
    position: relative;
    text-align: center;
    color: white;
}

/* Estilo para a imagem */
.img-top {
    width: 100%;
    height: auto;
}

.img-maq{
    margin-top: 40px;
    margin-right: 400px;
    border-radius: 10px;
    width: 40%;
    height: 450px;

}
/* Estilo para o título que ficará sobre a imagem */
.title {
    position: absolute;
    top: 200px;
    left: 70%;
    transform: translate(-50%, -50%);
    font-size: 2.5rem; /* Ajuste o tamanho conforme necessário */
    text-shadow: 2px 2px 5px rgb(229, 248, 10); /* Sombra para melhorar a legibilidade */
}

@media(max-width: 768px){
    footer .email-input {
        width: 100%;
        
    }

    footer .col-sm-2 {
        text-align: left;
        margin-bottom: 20px;
        margin-top: 120px;
    }

    footer h5 {
        font-size: 16px;
        margin-top: 15px;
    }
    .title{
        margin-top:60px;
        font-size: 1.2rem;
        font-weight: bold;
    }
   
    .img-maq{
        margin-top: 40px;
        border-radius: 10px;
        width: 95%;
        height: 350px;
    
    }
 
    
}
